i2p.susi.dns

## Class ConfigBean

- java.lang.Object
- - i2p.susi.dns.BaseBean
  - - i2p.susi.dns.ConfigBean

- All Implemented Interfaces:
    Serializable

      public class ConfigBean
      extends BaseBean
      implements Serializable

  Bean for managing SusDNS configuration properties and file operations.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class i2p.susi.dns.BaseBean

      `_context, action, lastSerial, method, PROP_PW_ENABLE, properties, serial`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigBean()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getConfig()` Get the current configuration content.
    `String` | `getfileName()` Get the config file path.
    `String` | `getMessages()` Get status messages for the UI.
    `boolean` | `isSaved()` Check if the config has been saved.
    `protected void` | `reload()` Reloads the configuration from file.
    `void` | `setConfig(String config)` Set the configuration content.

    - ### Methods inherited from class i2p.susi.dns.BaseBean

      `_t, _t, _t, addressbookDir, configFile, debug, getAction, getSerial, getTheme, getThemeName, getThemes, isOverrideCssActive, loadConfig, ngettext, setAction, setSerial, storeMethod, useSoraFont, warn`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigBean

          public ConfigBean()

  - ### Method Detail

    - #### getConfig

          public String getConfig()

      Get the current configuration content.
      Returns:
        the configuration content

    - #### getfileName

          public String getfileName()

      Get the config file path.
      Returns:
        the absolute path to the config file

    - #### getMessages

          public String getMessages()

      Get status messages for the UI.
      Returns:
        HTML formatted status message

    - #### isSaved

          public boolean isSaved()

      Check if the config has been saved.
      Returns:
        true if the config was saved

    - #### reload

          protected void reload()

      Description copied from class: `BaseBean`
      Reloads the configuration from file.
      Overrides:
        `reload` in class `BaseBean`

    - #### setConfig

          public void setConfig(String config)

      Set the configuration content.
      Parameters:
        `config` - the new configuration content